<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4266
Name: AU-Diagnosis Observation
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4266-2017-11-20T220411">
   <title>AU-Diagnosis Observation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4266
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]
Item: (AUDiagnosisObservation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4266
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]
Item: (AUDiagnosisObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]"
         id="d41e1415-false-d6304e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="string(@classCode) = ('OBS')">(AUDiagnosisObservation): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="string(@moodCode) = ('EVN')">(AUDiagnosisObservation): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(AUDiagnosisObservation): Attribute @negationInd MUSS vom Datentyp 'bl' sein  - '<value-of select="@negationInd"/>'</assert>
      <let name="sgbv295q"
           value="hl7:value/hl7:qualifier[hl7:name/@codeSystem='2.16.840.1.113883.3.7.1.0']/hl7:value/@code"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="not($sgbv295q='G') or hl7:participant[@typeCode='AUTHEN']">(AUDiagnosisObservation): Wenn Zusatzkennzeichen 'G' nach §295 SGB V angegeben wird, muss ein participant mit @typeCode='AUTHEN' vorhanden sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="not($sgbv295q='A') or @negationInd='true'">(AUDiagnosisObservation): Wenn Zusatzkennzeichen 'A' nach §295 SGB V angegeben wird, muss bei der Observation @negationInd='true' angegeben sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="not($sgbv295q='Z') or hl7:effectiveTime/hl7:high">(AUDiagnosisObservation): Wenn Zusatzkennzeichen 'Z' nach §295 SGB V angegeben wird, muss bei der Observation effectiveTime.high angegeben sein.</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4266']) &gt;= 1">(AUDiagnosisObservation): Element hl7:templateId[@root = '1.2.276.0.76.10.4266'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4266']) &lt;= 1">(AUDiagnosisObservation): Element hl7:templateId[@root = '1.2.276.0.76.10.4266'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="count(hl7:id) &gt;= 1">(AUDiagnosisObservation): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="count(hl7:code[(@code = '75324-4' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(AUDiagnosisObservation): Element hl7:code[(@code = '75324-4' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="count(hl7:code[(@code = '75324-4' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(AUDiagnosisObservation): Element hl7:code[(@code = '75324-4' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="count(hl7:text) &lt;= 1">(AUDiagnosisObservation): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(AUDiagnosisObservation): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(AUDiagnosisObservation): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="count(hl7:effectiveTime[hl7:low]) &gt;= 1">(AUDiagnosisObservation): Element hl7:effectiveTime[hl7:low] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="count(hl7:effectiveTime[hl7:low]) &lt;= 1">(AUDiagnosisObservation): Element hl7:effectiveTime[hl7:low] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="count(hl7:value) &gt;= 1">(AUDiagnosisObservation): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="count(hl7:value) &lt;= 1">(AUDiagnosisObservation): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4266
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]/hl7:templateId[@root = '1.2.276.0.76.10.4266']
Item: (AUDiagnosisObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]/hl7:templateId[@root = '1.2.276.0.76.10.4266']"
         id="d41e1427-false-d6382e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AUDiagnosisObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="string(@root) = ('1.2.276.0.76.10.4266')">(AUDiagnosisObservation): Der Wert von root MUSS '1.2.276.0.76.10.4266' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4266
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]/hl7:id
Item: (AUDiagnosisObservation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4266
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]/hl7:code[(@code = '75324-4' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (AUDiagnosisObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]/hl7:code[(@code = '75324-4' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d41e1435-false-d6405e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="@nullFlavor or (@code='75324-4' and @codeSystem='2.16.840.1.113883.6.1')">(AUDiagnosisObservation): Der Elementinhalt MUSS einer von 'code '75324-4' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4266
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]/hl7:text
Item: (AUDiagnosisObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]/hl7:text"
         id="d41e1440-false-d6418e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AUDiagnosisObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="count(hl7:reference) &gt;= 1">(AUDiagnosisObservation): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="count(hl7:reference) &lt;= 1">(AUDiagnosisObservation): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4266
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]/hl7:text/hl7:reference
Item: (AUDiagnosisObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]/hl7:text/hl7:reference"
         id="d41e1445-false-d6437e0">
      <extends rule="URL"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AUDiagnosisObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="@value">(AUDiagnosisObservation): Attribut @value MUSS vorkommen.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4266
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]/hl7:statusCode[@code = 'completed']
Item: (AUDiagnosisObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]/hl7:statusCode[@code = 'completed']"
         id="d41e1455-false-d6452e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="@nullFlavor or (@code='completed')">(AUDiagnosisObservation): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4266
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]/hl7:effectiveTime[hl7:low]
Item: (AUDiagnosisObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]/hl7:effectiveTime[hl7:low]"
         id="d41e1460-false-d6465e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="count(hl7:low) &gt;= 1">(AUDiagnosisObservation): Element hl7:low ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="count(hl7:low) &lt;= 1">(AUDiagnosisObservation): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="count(hl7:high) &lt;= 1">(AUDiagnosisObservation): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4266
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]/hl7:effectiveTime[hl7:low]/hl7:low
Item: (AUDiagnosisObservation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4266
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]/hl7:effectiveTime[hl7:low]/hl7:high
Item: (AUDiagnosisObservation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4266
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]/hl7:value
Item: (AUDiagnosisObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]/hl7:value"
         id="d41e1489-false-d6508e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AUDiagnosisObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="count(hl7:qualifier[hl7:name/@code='20228-3']) &lt;= 1">(AUDiagnosisObservation): Element hl7:qualifier[hl7:name/@code='20228-3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="count(hl7:qualifier[hl7:name/@code='8']) &lt;= 1">(AUDiagnosisObservation): Element hl7:qualifier[hl7:name/@code='8'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4266
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]/hl7:value/hl7:qualifier
Item: (AUDiagnosisObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]/hl7:value/hl7:qualifier"
         id="d41e1502-false-d6547e0">
      <extends rule="CR"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.4266-2017-11-20T220411.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AUDiagnosisObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CR" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90026
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]/hl7:value/hl7:qualifier[hl7:name/@code='20228-3']
Item: (Laterality)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]/hl7:value/hl7:qualifier[hl7:name/@code='20228-3']"
         id="d6548e18-false-d6556e0">
      <extends rule="CR"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90026-2017-02-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laterality): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CR" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90026-2017-02-13T000000.html"
              test="count(hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Laterality): Element hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90026-2017-02-13T000000.html"
              test="count(hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Laterality): Element hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90026-2017-02-13T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]) &gt;= 1">(Laterality): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code] ist required [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90026-2017-02-13T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]) &lt;= 1">(Laterality): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90026
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]/hl7:value/hl7:qualifier[hl7:name/@code='20228-3']/hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Laterality)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]/hl7:value/hl7:qualifier[hl7:name/@code='20228-3']/hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d6548e33-false-d6588e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90026-2017-02-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laterality): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90026-2017-02-13T000000.html"
              test="@nullFlavor or (@code='20228-3' and @codeSystem='2.16.840.1.113883.6.1')">(Laterality): Der Elementinhalt MUSS einer von 'code '20228-3' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90026
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]/hl7:value/hl7:qualifier[hl7:name/@code='20228-3']/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]
Item: (Laterality)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]/hl7:value/hl7:qualifier[hl7:name/@code='20228-3']/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]"
         id="d6548e38-false-d6607e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90026-2017-02-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laterality): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90026-2017-02-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(Laterality): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.412 Lateralität (DYNAMIC)' sein.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-1.2.276.0.76.11.412-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90026-2017-02-13T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(Laterality): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set 1.2.276.0.76.11.412 Lateralität (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90027
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]/hl7:value/hl7:qualifier[hl7:name/@code='8']
Item: (Certainty)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]/hl7:value/hl7:qualifier[hl7:name/@code='8']"
         id="d6608e28-false-d6628e0">
      <extends rule="CR"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90027-2017-03-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Certainty): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CR" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90027-2017-03-02T000000.html"
              test="count(hl7:name[(@code = '8' and @codeSystem = '2.16.840.1.113883.3.7.1.0')]) &gt;= 1">(Certainty): Element hl7:name[(@code = '8' and @codeSystem = '2.16.840.1.113883.3.7.1.0')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90027-2017-03-02T000000.html"
              test="count(hl7:name[(@code = '8' and @codeSystem = '2.16.840.1.113883.3.7.1.0')]) &lt;= 1">(Certainty): Element hl7:name[(@code = '8' and @codeSystem = '2.16.840.1.113883.3.7.1.0')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90027-2017-03-02T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.121-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(Certainty): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.121-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90027-2017-03-02T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.121-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(Certainty): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.121-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90027
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]/hl7:value/hl7:qualifier[hl7:name/@code='8']/hl7:name[(@code = '8' and @codeSystem = '2.16.840.1.113883.3.7.1.0')]
Item: (Certainty)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]/hl7:value/hl7:qualifier[hl7:name/@code='8']/hl7:name[(@code = '8' and @codeSystem = '2.16.840.1.113883.3.7.1.0')]"
         id="d6608e43-false-d6660e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90027-2017-03-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Certainty): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90027-2017-03-02T000000.html"
              test="@nullFlavor or (@code='8' and @codeSystem='2.16.840.1.113883.3.7.1.0')">(Certainty): Der Elementinhalt MUSS einer von 'code '8' codeSystem '2.16.840.1.113883.3.7.1.0'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.90027
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]/hl7:value/hl7:qualifier[hl7:name/@code='8']/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.121-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (Certainty)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]/hl7:value/hl7:qualifier[hl7:name/@code='8']/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.121-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d6608e48-false-d6679e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90027-2017-03-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Certainty): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20200812T163402/tmp-1.2.276.0.76.10.90027-2017-03-02T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.121-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(Certainty): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.121 S_ICD_DIAGNOSESICHERHEIT (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4266
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4266']]/hl7:value/hl7:translation
Item: (AUDiagnosisObservation)
-->
</pattern>
